| Openscape Voice V10 - SOAP Interface Documentation

Classes | Functions
Calling Location

Calling Location Definitions and Methods. More...

## Classes
struct | unsp__GetCallingLocationListData
| Get Calling Location List Data. More...
struct | unsp__GetCallingLocationListResult
| Get Calling Location List result. More...
struct | unsp__GetCallingLocationListRequest
| Get Calling Location List request. More...
class | unsp__CreateCallingLocationRequest
| Create Calling Location request. More...
struct | unsp__CreateCallingLocationResult
| Create Calling Location result. More...
class | unsp__ModifyCallingLocationRequest
| Modify Calling Location request. More...
struct | unsp__ModifyCallingLocationResult
| Modify Calling Location result. More...
class | unsp__RemoveCallingLocationRequest
| Remove Calling Location request. More...
struct | unsp__RemoveCallingLocationResult
| Remove Calling Location result. More...
class | unsp__QueryCallingLocationRequest
| Query Calling Location request. More...
class | unsp__CallingLocation
| Calling Location Data. More...
class | unsp__ArrayOfCallingLocation
| Array of Calling Locations. More...
struct | unsp__CallingLocationResult
| Query Calling Location result. More...

## Functions
int | unsp__GetCallingLocationList2 (struct unsp__GetCallingLocationListRequest CalLocListRequest, struct unsp__GetCallingLocationListResult *CalLocListResult)
| This method returns the list of Calling Locations that are defined on the system. More...
int | unsp__createCallingLocation (unsp__CreateCallingLocationRequest CreateCallingLocationRequest, struct unsp__CreateCallingLocationResult *CreateCallingLocationResult)
| Creates a Calling Location. More...
int | unsp__modifyCallingLocation (unsp__ModifyCallingLocationRequest ModifyCallingLocationRequest, struct unsp__ModifyCallingLocationResult *ModifyCallingLocationResult)
| Modifies a Calling Location. More...
int | unsp__removeCallingLocation (unsp__RemoveCallingLocationRequest RemoveCallingLocationRequest, struct unsp__RemoveCallingLocationResult *RemoveCallingLocationResult)
| Removes a Calling Location. More...
int | unsp__queryCallingLocation (unsp__QueryCallingLocationRequest QueryCallingLocationRequest, struct unsp__CallingLocationResult *QueryCallingLocationResult)
| Queries Calling Locations. More...

## Detailed Description

Calling Location Definitions and Methods.

Calling Locations can be assigned to a subscriber or an endpoint to indicate the geographic location of that subscriber. Calling Locations are used when specific routing has to be done for these subscribers or endpoints. They can be used to have specific geographic routing of an emergency service or a directory service number. Other solutions are available for the emergency service because of DLS mobility, as it must be a truly local service, regardless of the subscriber's static home location configuration.

Note
  Calling locations should be provisioned as E.164 codes: calls from calling locations that are not provisioned as E.164 codes may not be routable. Emergency calls from another switch cannot be routed based on the calling location because the subscriber's location is not passed to OpenScape Voice.

## Function Documentation

## ◆ unsp__createCallingLocation()

unsp__createCallingLocation | ( | unsp__CreateCallingLocationRequest | CreateCallingLocationRequest,
|  | struct unsp__CreateCallingLocationResult * | CreateCallingLocationResult
| ) |  |

Creates a Calling Location.

Parameters

  CreateCallingLocationRequest | API request
  CreateCallingLocationResult | API result MP2 command: CallingLocation [Attributes]

## ◆ unsp__GetCallingLocationList2()

unsp__GetCallingLocationList2 | ( | struct unsp__GetCallingLocationListRequest | CalLocListRequest,
|  | struct unsp__GetCallingLocationListResult * | CalLocListResult
| ) |  |

This method returns the list of Calling Locations that are defined on the system.

Parameters

  CalLocListRequest | API request
  CalLocListResult | API result

## ◆ unsp__modifyCallingLocation()

unsp__modifyCallingLocation | ( | unsp__ModifyCallingLocationRequest | ModifyCallingLocationRequest,
|  | struct unsp__ModifyCallingLocationResult * | ModifyCallingLocationResult
| ) |  |

Modifies a Calling Location.

Parameters

  ModifyCallingLocationRequest | API request
  ModifyCallingLocationResult | API result MP2 command: ModifyCallingLocation [Attributes]

## ◆ unsp__queryCallingLocation()

unsp__queryCallingLocation | ( | unsp__QueryCallingLocationRequest | QueryCallingLocationRequest,
|  | struct unsp__CallingLocationResult * | QueryCallingLocationResult
| ) |  |

Queries Calling Locations.

Parameters

  QueryCallingLocationRequest | API request
  QueryCallingLocationResult | API result

## ◆ unsp__removeCallingLocation()

unsp__removeCallingLocation | ( | unsp__RemoveCallingLocationRequest | RemoveCallingLocationRequest,
|  | struct unsp__RemoveCallingLocationResult * | RemoveCallingLocationResult
| ) |  |

Removes a Calling Location.

Parameters

  RemoveCallingLocationRequest | API request
  RemoveCallingLocationResult | API result MP2 command: RemoveCallingLocation [Attributes]